# $Revision: 1.9 $, $Date: 2009/05/25 19:46:50 $

%define		qtver	4.5.0

Summary:	qedje
Summary(pl.UTF-8):	qedje
Name:		qedje
Version:	0.4.0
Release:	0.git.2
License:	GPL v2
Group:		X11/Libraries
#Source0:	http://dev.openbossa.org/%{name}/downloads/source/%{name}/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}-git.tar.gz
# Source0-md5:	062a73e4ce76ae4513aa772504db572d
URL:		http://dev.openbossa.org/trac/qedje
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	eet-devel
BuildRequires:	pkgconfig
BuildRequires:	python-PyQt4-devel
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	qzion-devel >= 0.4.0
BuildRequires:	rpmbuild(macros) >= 1.164
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qedje

%description -l pl.UTF-8
qedje

%package devel
Summary:        Header files for qedje library
Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki qedje
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for qedje library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qedje.

%prep
%setup -q -n %{name}-%{version}-git

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qedje_viewer
%attr(755,root,root) %{_libdir}/libqedje.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqedje.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqedje.so
%{_includedir}/*.h
%{_pkgconfigdir}/qedje.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qedje.spec,v $
Revision 1.9  2009/05/25 19:46:50  paszczus
- added BR: python-PyQt4-devel

Revision 1.8  2009/05/25 19:45:05  shadzik
- rel .2

Revision 1.7  2009/05/11 17:26:26  shadzik
- 0.4.0 git

Revision 1.6  2009/02/06 17:01:01  witekfl
- utf8

Revision 1.5  2008/11/06 03:05:06  shadzik
- add patch0 to fix 64bit build
- rel 1

Revision 1.4  2008/11/02 16:57:34  shadzik
- added BRs and Rs
- added -devel subpackages
- fixed build and packaged all files
- TODO: needs description

Revision 1.3  2008/11/02 16:49:32  shadzik
- BR: -devels

Revision 1.2  2008/11/02 16:30:45  rotom
- BR added

Revision 1.1  2008/11/02 16:30:04  rotom
- initial (NFY)

